## g_rotacf

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

g_rotacf calculates the rotational correlation function for molecules. Three atoms (i,j,k) must be given in the index file, defining two vectors ij and jk. The rotational acf is calculated as the autocorrelation function of the vector n = ij x jk, i.e. the cross product of the two vectors. Since three atoms span a plane, the order of the three atoms does not matter. Optionally, controlled by the -d switch, you can calculate the rotational correlation function for linear molecules by specifying two atoms (i,j) in the index file.

EXAMPLES

g_rotacf -P 1 -nparm 2 -fft -n index -o rotacf-x-P1 -fa expfit-x-P1 -beginfit 2.5 -endfit 20.0

This will calculate the rotational correlation function using a first order Legendre polynomial of the angle of a vector defined by the index file. The correlation function will be fitted from 2.5 ps till 20.0 ps to a two parameter exponential

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `traj.xtc` | Input | Generic trajectory: xtc trr trj gro g96 pdb
`-s` | `topol.tpr` | Input | Generic run input: tpr tpb tpa xml
`-n` | `index.ndx` | Input | Index file
`-o` | `rotacf.xvg` | Output | xvgr/xmgr file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-[no]d` | bool | `no` | Use index doublets (vectors) for correlation function instead of triplets (planes)
`-[no]aver` | bool | `yes` | Average over molecules
`-acflen` | int | `-1` | Length of the ACF, default is half the number of frames
`-[no]normalize` | bool | `yes` | Normalize ACF
`-P` | enum | `0` | Order of Legendre polynomial for ACF (0 indicates none): `0`, `1`, `2` or `3`
`-fitfn` | enum | `none` | Fit function: `none`, `exp`, `aexp`, `exp_exp`, `vac`, `exp5`, `exp7` or `exp9`
`-ncskip` | int | `0` | Skip N points in the output file of correlation functions
`-beginfit` | real | `0` | Time where to begin the exponential fit of the correlation function
`-endfit` | real | `-1` | Time where to end the exponential fit of the correlation function, -1 is till the end

http://www.gromacs.org
gromacs@gromacs.org